#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define buildglade %(pkg-config libglade-2.0 && echo 1 || echo 0)

Distribution:	CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	PyGTK provides a convenient wrapper for the GTK+ library.
Name:		python%{PVER}-pygtk
Version:	2.21.0
Release:	1
License:	GNU/GPL
URL:		http://www.pygtk.org/
Group:		Development/Python
Source0:	pygtk-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	python%{PVER}-pygobject-devel
BuildRequires:  python%{PVER}-pygobject
Provides:	PyGTK = %{version}-%{release}
Obsoletes:	PyGTK <= %{version}-%{release}
Obsoletes:	python25-pygtk

BuildRequires: expat-devel
BuildRequires: libxml2-python%{PVER}
BuildRequires: libxslt-devel
BuildRequires: libxslt-python%{PVER}
BuildRequires: python%{PVER}-devel
BuildRequires: python%{PVER}-pycairo-devel
BuildRequires: python%{PVER}-numpy
BuildRequires: zlib-devel
BuildRequires: xcb-util-devel
BuildRequires: gobject-introspection-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libglade-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: pkg-config

%description
PyGTK provides a convenient wrapper for the GTK+ library for use
in Python programs, taking care of many of the boring details
such as managing memory and type casting. When combined with
PyORBit and gnome-python, it can be used to write full featured
Gnome applications.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}
Requires:	python%{PVER}-pygobject-devel
Requires:	python%{PVER}-pycairo-devel
Provides:	PyGTK-devel = %{version}-%{release}
Obsoletes:	PyGTK-devel <= %{version}-%{release}
Obsoletes:	python25-pygtk-devel

%description	devel
Header and include files for developing applications with %{name}.

%package	demos
Summary:	%{name} demo files.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}
Provides:	PyGTK-demos = %{version}-%{release}
Obsoletes:	PyGTK-demos <= %{version}-%{release}
Obsoletes:	python25-pygtk-demos

%description	demos
Demo files for %{name}.

%prep
%setup -q -n pygtk-%{version}

%build
%configure \
--enable-thread \
PYTHON=%{__python}
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/pygtk-codegen-2.0
%{_libdir}/python2.6/site-packages/gtk-2.0
%{_datadir}/pygtk/2.0/defs

%files devel
%defattr(-,root,root)
%{_includedir}/pygtk-2.0/pygtk/pygtk.h
%{_pkgconfig}/pygtk-2.0.pc
%{_datadir}/gtk-doc/html/pygtk

%files demos
%defattr(-,root,root)
%{_libdir}/pygtk/2.0/demos
%{_libdir}/pygtk/2.0/pygtk-demo.py
%{_libdir}/pygtk/2.0/pygtk-demo.pyc
%{_libdir}/pygtk/2.0/pygtk-demo.pyo
%{_bindir}/pygtk-demo

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.21.0-1
- Version update
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.16.0-2
- build against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 2.16.0-1
- Version update, build against python25-2.5.4-3
* Thu Apr 30 2009 Christian Wasem <wasem@ccux-linux.de> 2.14.1-2
- rebuilt with explicit /usr/bin/python2.5
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.14.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.12.1-1
- Version update
* Sun Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 2.10.4-1
- Version update
* Sun Nov 12 2006 Christian Metzen <metzench@ccux-linux.de> 2.10.3-1
- Version update
* Wed Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.10.1-1
- Version update
* Tue May 09 2006 Christian Wasem <wasem@ccux-linux.de> 2.8.6-1
- Version Update
* Wed Feb 15 2006 Christian Metzen <metzench@ccux-linux.de> 2.8.4-2
- rebuilt against newest gtk2+ package
* Fri Feb 10 2006 Christian Wasem <wasem@ccux-linux.de> 2.8.4-1
- Version update
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.0-1
- Version update, removed wrong obsoletes tags, rebuild against newest gtk2+
* Sun Jul 03 2005 Christian Wasem <wasem@ccux-linux.de> 2.6.2-1
- rebuild for Python 2.4.1, update to Version 2.6.2  
* Wed Feb 02 2005 Christian Wasem <wasem@ccux-linux.de> 2.5.3-1
- Update Version from 2.5.2-1
* Tue Jan 11 2005 Christian Metzen <metzench@ccux-linux.de> 2.5.2-1
- Version Update to 2.5.2
